[Homescreen] inconsistent between long tap blank space of collapsing group and expanding group

VERIFIED FIXED in Firefox OS v2.2

Status

Firefox OS
Gaia::Homescreen
VERIFIED FIXED
3 years ago
2 years ago

People

(Reporter: Hermes Cheng (inactive after July 27, 2015), Assigned: cwiiis)

Tracking

unspecified
2.2 S4 (23jan)
All
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 verified, b2g-master verified)

Details

(Whiteboard: [systemsfe])

Attachments

(2 attachments)

*Description:
It is inconsistent between long tap blank space of collapsing group and long tap blank space of expanding group on Homescreen.

*Steps:
1. expand a group
2. long tap the blank space at this expanded group
3. collapse a group
4. long tap the blank space at this collapsed group

*Expected results:
At step 2 and step 4, both should trigger an action menu.

*Actual results:
After step 2, it triggers an action menu.
After step 4, it enters "Edit" mode of Homescreen.

*Env:
Gaia-Rev        ab41c35eed35404b632a4841714b81b56364ba32
Gecko-Rev       https://hg.mozilla.org/mozilla-central/rev/2acb12da9813
Build-ID        20141224160204
Version         37.0a1
Device-Name     flame
FW-Release      4.4.2
FW-Incremental  39
FW-Date         Thu Oct 16 18:19:14 CST 2014
Bootloader      L1TC00011880
Flags: needinfo?(kgrandon)
Whiteboard: [systemsfe]
I think this is probably working as intended, but I'm not sure how the action menu should behave. I assume we want to be able to enter edit mode by dragging around a collapsed group. Forwarding to UX.
Flags: needinfo?(kgrandon) → needinfo?(firefoxos-ux-bugzilla)

Comment 2

3 years ago
Flagging Francis on Homescreen while Rob is out. Francis, please reassign as appropriate.
Flags: needinfo?(firefoxos-ux-bugzilla) → needinfo?(fdjabri)
Katie, could you take a look at this please?
Flags: needinfo?(fdjabri) → needinfo?(kcaldwell)

Comment 4

3 years ago
agreed, that this is inconsistent behaviour. blank spaces + long press on home screen, whether in expanded group or collapsed group, should trigger the action menu.

NI'ing Chris to fix.
Flags: needinfo?(kcaldwell) → needinfo?(chrislord.net)
(Assignee)

Comment 5

3 years ago
Taking, should be a quick fix (I think).
Assignee: nobody → chrislord.net
Blocks: 1067435
Status: NEW → ASSIGNED
Flags: needinfo?(chrislord.net)
(Assignee)

Comment 6

3 years ago
Created attachment 8546698 [details] [review]
Show homescreen menu by long-pressing blank area of collapsed group

The homescreen menu change is small and style-only, but the marionette test took a bit to write...

I wish marionette touch events were injected at the system level...
Attachment #8546698 - Flags: review?(kgrandon)
Comment on attachment 8546698 [details] [review]
Show homescreen menu by long-pressing blank area of collapsed group

Code looks fine to me. One thing I did notice was that in edit mode now tapping o the collapsed space does nothing. I feel that this is a bit of a loss and it might be nicer to have it continue to drag the group in edit mode. I'm fine if you want to land this though. Nice job.
Attachment #8546698 - Flags: review?(kgrandon) → review+
(Assignee)

Comment 8

3 years ago
(In reply to Kevin Grandon :kgrandon from comment #7)
> Comment on attachment 8546698 [details] [review]
> Show homescreen menu by long-pressing blank area of collapsed group
> 
> Code looks fine to me. One thing I did notice was that in edit mode now
> tapping o the collapsed space does nothing. I feel that this is a bit of a
> loss and it might be nicer to have it continue to drag the group in edit
> mode. I'm fine if you want to land this though. Nice job.

Yeah, this was purposeful to make the behaviour symmetric (as the bug report was initially about the inconsistency between edit and non-edit mode)... That said, maybe I'll make it that way anyway, seeing as we both prefer it.
(Assignee)

Comment 9

3 years ago
Change made, tests green, merged: https://github.com/mozilla-b2g/gaia/commit/c7875eb0cc483c28937d99eb1af36969e094ea40
Status: ASSIGNED → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
Have verified the fix with below build...

Build ID               20150112153951
Gaia Revision          7c5b27cad370db377b18a742d3f3fdb0070e899f
Gaia Date              2015-01-12 17:32:38
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/2c37b89bdd86
Gecko Version          37.0a2
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150112.194842
Firmware Date          Mon Jan 12 19:48:52 EST 2015
Bootloader             L1TC00011880
Status: RESOLVED → VERIFIED
(Assignee)

Comment 11

3 years ago
Comment on attachment 8546698 [details] [review]
Show homescreen menu by long-pressing blank area of collapsed group

Narrowly missed branch date, requesting uplift.

[Approval Request Comment]
[Bug caused by] (feature/regressing bug #):
[User impact] if declined: Can get into a situation where it's hard to get to the homescreen menu via the homescreen
[Testing completed]: Locally, via automated testing and been on master for a week
[Risk to taking this patch] (and alternatives if risky): Low risk
[String changes made]: None
Attachment #8546698 - Flags: approval-gaia-v2.2?

Updated

3 years ago
Attachment #8546698 - Flags: approval-gaia-v2.2? → approval-gaia-v2.2+
v2.2: https://github.com/mozilla-b2g/gaia/commit/78b75ddcadce00b469bf61d71eda22ae6ae6f5e9
status-b2g-v2.2: --- → fixed
status-b2g-master: --- → fixed
Target Milestone: --- → 2.2 S4 (23jan)
Created attachment 8636471 [details]
Verified_Flame_master.3gp

This bug has been verified as pass on latest build of Flame master by the STR in Comment 0. 

Results:
Long tapping blank space of collapsed group/expanded group on Homescreen triggers an action menu.

See attachment: Verified_Flame_master.3gp
Reproduce rate: 0/10

Device: Flame master(Pass)
Build ID               20150720010206
Gaia Revision          3fac3ed7b8c887351098ffc677769ddc36abb3d0
Gaia Date              2015-07-17 17:53:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/202e9233d130
Gecko Version          42.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150720.044158
Firmware Date          Mon Jul 20 04:42:10 EDT 2015
Bootloader             L1TC000118D0

Per comment 10, change 'status-b2g-v2.2:fixed' to 'verified'.
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.2: fixed → verified
status-b2g-master: fixed → verified
You need to log in before you can comment on or make changes to this bug.